Page MenuHomePhabricator

Show tags in Phab Sprint and Workboard UI
Closed, ResolvedPublic

Tokens
"Like" token, awarded by hashar."Like" token, awarded by ksmith."Like" token, awarded by Fjalapeno."Like" token, awarded by dr0ptp4kt."Like" token, awarded by Jdlrobson."Like" token, awarded by Jhernandez."Haypence" token, awarded by Dbrant."Like" token, awarded by bmansurov.
Assigned To
Authored By
KLans_WMF, Apr 7 2015

Description

Related Phabricator default workboard (not: sprint workboard) upstream ticket: https://secure.phabricator.com/T4863


Currently tags are only visible on tasks when in the Maniphest UI:

In the Project UI (project and sprint boards), these tags are not displayed:

This has the following effects:

  1. We don't use tags to classify bugs / features / epics / etc… because we won't be able to tell them apart.
  2. Instead we prefix our tickets with text like "[EPIC]" so we can easily differentiate them on the sprint board.
  3. It is hard to get a "feel" for the board (i.e. is this a feature heavy sprint or a bug heavy sprint?) in a quick glance, instead you need to parse the title text or click on the individual tasks.
  4. Filtering a board on one type of task (like "bugs") is difficult because no one in practice uses tags in this way because it would be to much overhead to add the tag and update the title. (of course we could do the extra work if we really wanted to…)

Since tags are already visible in Maniphest, how big of a task would this be to implement? It would be great if this was a quick win.

Event Timeline

KLans_WMF created this task.Apr 7 2015, 8:38 PM
KLans_WMF raised the priority of this task from to Needs Triage.
KLans_WMF updated the task description. (Show Details)
KLans_WMF added a project: Team-Practices.
KLans_WMF moved this task to To Triage on the Team-Practices board.
KLans_WMF added a subscriber: KLans_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2015, 8:38 PM
KLans_WMF set Security to None.Apr 7 2015, 8:38 PM
KLans_WMF added a subscriber: Fjalapeno.
Fjalapeno updated the task description. (Show Details)Apr 7 2015, 9:15 PM
Dbrant awarded a token.Apr 8 2015, 9:57 PM
Aklapper triaged this task as Lowest priority.Apr 9 2015, 9:04 AM
Aklapper updated the task description. (Show Details)
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.
Aklapper moved this task from Backlog to Upstreamed on the Phabricator (Upstream) board.

I like this. Maybe one line below the ticket name could show the first X tags that will fit, with an ellipsis that can be clicked/tapped to disclose the remainder of the tags.

@Aklapper Can you explain what happens when we tag task upstream - I guess I mean what is the process from here?

Are we deferring to other developers?
Do we work on it ourselves and contribute back?
If it is something that doesn't look like it will be slated for development upstream for a while, when/how do we make the decision to do it ourselves?

Just curious how this works and what the decision tree looks like.

Thanks!

@Aklapper Can you explain what happens when we tag task upstream

See the description of the project: https://phabricator.wikimedia.org/project/profile/6/

Jdlrobson added a subscriber: Jdlrobson.

This would make a world of difference.
Do we have an upstream bug open - if so could you be so kind as to link to it?

Do we have an upstream bug open

See the very first line of the task description. Note that the Sprint extension is not upstream.

@Aklapper I checked out the description. It explains the purpose of the project and I can see the columns of the board, but doesn't really layout the process of how a ticket flows and what really happens.

This ticket is currently sitting in "upstreamed" - what does that mean? What is the next steps for the ticket and how does it get there?

Sorry if these are stupid questions - just trying to get a handle on how feature requests are handled.

Thanks

Mhurd added a subscriber: Mhurd.Apr 11 2015, 4:49 PM

+1. This would be a useful feature.

Aklapper closed this task as Resolved.Feb 18 2016, 11:51 AM
Aklapper claimed this task.

The request to show other associated project tags on workboard cards has been fixed by the latest upgrade.
Hence closing as resolved.

Any potentially requested further tweaking should be filed as separate requests.

From T683:

Our Phabricator instance has been updated for https://secure.phabricator.com/T4863 via commit https://secure.phabricator.com/rP080d838c693b493844148325b6516f3f6982ad3c

The workboard cards now shows other projects which a huge change and make them way nicer to use.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:02 PM